Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.dom
Class XDBNamedNodeMap

    java.lang.Object
      |
      +--oracle.xdb.dom.XDBNamedNodeMap

All Implemented Interfaces:
  NamedNodeMap

public class XDBNamedNodeMap
extends java.lang.Object
implements NamedNodeMap

Method Summary
`int` | `getLength()` The number of nodes in this map.
`Node` | `getNamedItem(java.lang.String name)` Retrieves a node specified by name.
`Node` | `getNamedItemNS(java.lang.String nsURI, java.lang.String name)` Retrieves a node specified by local name and namespace URI.
`Node` | `item(int index)` Returns the `index`th item in the map.
`Node` | `removeNamedItem(java.lang.String name)` Removes a node specified by name.
`Node` | `removeNamedItemNS(java.lang.String nsURI, java.lang.String name)` Removes a node specified by local name and namespace URI.
`Node` | `setNamedItem(Node node)` Adds a node using its `nodeName` attribute.
`Node` | `setNamedItemNS(Node node)` Adds a node using its `namespaceURI` and `localName`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `NamedNodeMap`
  The number of nodes in this map. The range of valid child node indices is `0` to `length-1` inclusive.
  Specified by:
    `getLength` in interface `NamedNodeMap`

### getNamedItem

    public Node getNamedItem(java.lang.String name)

  Description copied from interface: `NamedNodeMap`
  Retrieves a node specified by name.
  Specified by:
    `getNamedItem` in interface `NamedNodeMap`
  Returns:
    A `Node` (of any type) with the specified `nodeName`, or `null` if it does not identify any node in this map.

### setNamedItem

    public Node setNamedItem(Node node)

  Description copied from interface: `NamedNodeMap`
  Adds a node using its `nodeName` attribute. If a node with that name is already present in this map, it is replaced by the new one.
  As the `nodeName` attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased.
  Specified by:
    `setNamedItem` in interface `NamedNodeMap`
  Returns:
    If the new `Node` replaces an existing node the replaced `Node` is returned, otherwise `null` is returned.

### removeNamedItem

    public Node removeNamedItem(java.lang.String name)

  Description copied from interface: `NamedNodeMap`
  Removes a node specified by name. When this map contains the attributes attached to an element, if the removed attribute is known to have a default value, an attribute immediately appears containing the default value as well as the corresponding namespace URI, local name, and prefix when applicable.
  Specified by:
    `removeNamedItem` in interface `NamedNodeMap`
  Returns:
    The node removed from this map if a node with such a name exists.

### getNamedItemNS

    public Node getNamedItemNS(java.lang.String nsURI,
                               java.lang.String name)

  Description copied from interface: `NamedNodeMap`
  Retrieves a node specified by local name and namespace URI. HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `getNamedItemNS` in interface `NamedNodeMap`
  Returns:
    A `Node` (of any type) with the specified local name and namespace URI, or `null` if they do not identify any node in this map.

### setNamedItemNS

    public Node setNamedItemNS(Node node)

  Description copied from interface: `NamedNodeMap`
  Adds a node using its `namespaceURI` and `localName`. If a node with that namespace URI and that local name is already present in this map, it is replaced by the new one.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `setNamedItemNS` in interface `NamedNodeMap`
  Returns:
    If the new `Node` replaces an existing node the replaced `Node` is returned, otherwise `null` is returned.

### removeNamedItemNS

    public Node removeNamedItemNS(java.lang.String nsURI,
                                  java.lang.String name)

  Description copied from interface: `NamedNodeMap`
  Removes a node specified by local name and namespace URI. A removed attribute may be known to have a default value when this map contains the attributes attached to an element, as returned by the attributes attribute of the `Node` interface. If so, an attribute immediately appears containing the default value as well as the corresponding namespace URI, local name, and prefix when applicable.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `removeNamedItemNS` in interface `NamedNodeMap`
  Returns:
    The node removed from this map if a node with such a local name and namespace URI exists.

### item

    public Node item(int index)

  Description copied from interface: `NamedNodeMap`
  Returns the `index`th item in the map. If `index` is greater than or equal to the number of nodes in this map, this returns `null`.
  Specified by:
    `item` in interface `NamedNodeMap`
  Returns:
    The node at the `index`th position in the map, or `null` if that is not a valid index.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.